# example:
#     path: '/{country}/example/{example_slug}'
#     protocol: 'get'
#     method: 'match'
#     class: 'Api\Controllers\Example'
#     method: 'example'
#     middlewares:
#         before:
#             class: 'Api\Middlewares\Customs'
#             method: 'exampleExampleBefore'
#         after:
#             class: 'Api\Middlewares\Customs'
#             method: 'exampleExampleAfter'
#         finish:
#             class: 'Api\Middlewares\Customs'
#             method: 'exampleExampleFinish'
#     values:
#         example_slug: 'example-value'
#     asserts:
#         example_slug: '[a-z_-]+'

# Index
index_index:
    path: '/{country}/'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'index'
    asserts:
        country: 'uk|au'

index_global:
    path: '/{country}/global'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'general'
    asserts:
        country: 'uk|au'

index_home:
    path: '/{country}/home'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'home'
    asserts:
        country: 'uk|au'

index_watchNow:
    path: '/{country}/watch-now'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'watchNow'
    asserts:
        country: 'uk|au'

index_sponsors:
    path: '/{country}/sponsors'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'sponsors'
    asserts:
        country: 'uk|au'

index_copyright:
    path: '/{country}/copyright'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'copyright'
    asserts:
        country: 'uk|au'

index_about:
    path: '/{country}/about'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'about'
    asserts:
        country: 'uk|au'

index_gallery:
    path: '/{country}/gallery'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'gallery'
    asserts:
        country: 'uk|au'

index_galleryImage:
    path: '/{country}/gallery/{slug}'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'gallery'
    asserts:
        country: 'uk|au'

index_informations:
    path: '/{country}/informations'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'informations'
    asserts:
        country: 'uk|au'

index_terms:
    path: '/{country}/terms'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'terms'
    asserts:
        country: 'uk|au'

index_policy:
    path: '/{country}/policy'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'policy'
    asserts:
        country: 'uk|au'

index_notFound:
    path: '/{country}/not-found'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'notFound'
    asserts:
        country: 'uk|au'

index_intraVideo:
    path: '/{country}/intra/video'
    protocol: 'get'
    class: 'Api\Controllers\Index'
    method: 'intraVideo'
    asserts:
        country: 'uk|au'

# News
news_index:
    path: '/{country}/news'
    protocol: 'get'
    class: 'Api\Controllers\News'
    method: 'index'
    asserts:
        country: 'uk|au'

news_details:
    path: '/{country}/news/details'
    protocol: 'get'
    class: 'Api\Controllers\News'
    method: 'details'
    asserts:
        country: 'uk|au'

# Teams
teams_index:
    path: '/{country}/teams'
    protocol: 'get'
    class: 'Api\Controllers\Teams'
    method: 'index'
    asserts:
        country: 'uk|au'

teams_details:
    path: '/{country}/teams/details'
    protocol: 'get'
    class: 'Api\Controllers\Teams'
    method: 'details'
    asserts:
        country: 'uk|au'

teams_standings:
    path: '/{country}/teams/standings'
    protocol: 'get'
    class: 'Api\Controllers\Teams'
    method: 'standings'
    asserts:
        country: 'uk|au'

#Players
players_index:
    path: '/{country}/players'
    protocol: 'get'
    class: 'Api\Controllers\Players'
    method: 'index'
    asserts:
        country: 'uk|au'

players_details:
    path: '/{country}/players/details'
    protocol: 'get'
    class: 'Api\Controllers\Players'
    method: 'details'
    asserts:
        country: 'uk|au'

# Videos
videos_index:
    path: '/{country}/videos'
    protocol: 'get'
    class: 'Api\Controllers\Videos'
    method: 'index'
    asserts:
        country: 'uk|au'

videos_details:
    path: '/{country}/videos/details'
    protocol: 'get'
    class: 'Api\Controllers\Videos'
    method: 'details'
    asserts:
        country: 'uk|au'

# Matches
matches_index:
    path: '/{country}/matches'
    protocol: 'get'
    class: 'Api\Controllers\Matches'
    method: 'index'
    asserts:
        country: 'uk|au'

matches_details:
    path: '/{country}/matches/details'
    protocol: 'get'
    class: 'Api\Controllers\Matches'
    method: 'details'
    asserts:
        country: 'uk|au'

# Social
social_index:
    path: '/{country}/social'
    protocol: 'get'
    class: 'Api\Controllers\Social'
    method: 'index'
    asserts:
        country: 'uk|au'

social_generateInstagramToken:
    path: '/{country}/social/generate-instagram-token'
    protocol: 'get'
    class: 'Api\Controllers\Social'
    method: 'generateInstagramToken'
    asserts:
        country: 'uk|au'

# Users
users_register:
    path: '/{country}/users/register'
    protocol: 'match'
    class: 'Api\Controllers\Users'
    method: 'register'
    asserts:
        country: 'uk|au'

users_observe:
    path: '/{country}/users/observe'
    protocol: 'match'
    class: 'Api\Controllers\Users'
    method: 'observe'
    asserts:
        country: 'uk|au'

# Seasons
seasons_details:
    path: '/{country}/seasons/details'
    protocol: 'get'
    class: 'Api\Controllers\Seasons'
    method: 'details'
    asserts:
        country: 'uk|au'

# HTML
html_index:
    path: '/{country}/html'
    protocol: 'get'
    class: 'Api\Controllers\HTML'
    method: 'index'
    asserts:
        country: 'uk|au'
